Description

Premier cas de test

- LFR a booté,

Le soft remonte bien que le timecode est missing et la derniere erreur tracée est coherente avec cela
HK_LFR_UPDATE_TIME_TC_CNT=0, HK_LFR_LE_CNT=1, HK_LFR_ME_CNT=0, HK_LFR_HE_CNT=0,
HK_LFR_LAST_ER_RID: LE_LFR_TIMEC = 42129, HK_LFR_LAST_ER_CODE: MISSING = 21,
HK_LFR_LAST_ER_TIME=0x8000000209dd, HK_LFR_DPU_SPW_TICK_OUT_CNT=0, HK_LFR_DPU_SPW_LAST_TIMC=0, ,
HK_LFR_TIMECODE_ERRONEOUS=0, HK_LFR_TIMECODE_MISSING=1, HK_LFR_TIMECODE_INVALID=0,
HK_LFR_TIME_TIMECODE_IT=0, HK_LFR_TIME_NOT_SYNCHRO=0, HK_LFR_TIME_TIMECODE_CTR=0,

- Envoi d'une TC_LFR_UPDATE_TIME avec 300ms apres une timecode invalid ( je mets 5)
TC_LFR_UPDATE_TIME, CCSDS_VERSION, CP_RPW_TIME=0x38f223010000

surla TM_LFR_HK

HK_LFR_UPDATE_TIME_TC_CNT=1, HK_LFR_LE_CNT=1, HK_LFR_ME_CNT=0, HK_LFR_HE_CNT=0,
HK_LFR_LAST ER RID: LE_LFR_TIMEC = 42129, HK_LFR_LAST ER_CODE: MISSING = 21,

HK_LFR_LAST ER_TIME=0x8000000209dd, HK_LFR_DPU_SPW_TICK_OUT CNT=0, HK_LFR_DPU_SPW_LAST TIMC=0,
HK_LFR_TIMECODE_ERRONEOUS=0, HK_LFR_TIMECODE_MISSING=1, HK_LFR_TIMECODE_INVALID=0,
HK_LFR_TIME_TIMECODE_IT=0, HK_LFR_TIME_NOT_SYNCHRO=0, HK_LFR_TIME_TIMECODE_CTR=0,

--> Le soft ne remonte aucune erreur et donc la derniere erreur tracée est toujours missing.
--> Peux-tu expliquer CELA

Contexte du test

FSW 3.2.0.15

VHDL 3.1.91

SocExplorerEngine.getSocExplorer: Version = 0.7.0, Branch = default, Changeset =
c459540a6dbdcbb4e17f204685fce02c070bad71+

EQM sans Timegen

StarDundee

History

#1 - 27/04/2017 10:13 AM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

Je ne comprends pas bien ol commence le deuxiéme scénario de test et donc ce qui pose probléme. Tu peux me donner quelques précisions?

#2 - 27/04/2017 10:20 AM - Veronique bouzid

le probleme si probleme il y a c'est que | on a envoyé une TC_LFR_UPDATE_TIME avec un mauvais timecode et qu'aucune erreur n est détectée.

#3 - 27/04/2017 11:17 AM - Veronique bouzid

- Assignee changed from Veronique bouzid to paul leroy

#4 - 28/04/2017 11:28 AM - paul leroy
- Status changed from New to Feedback

- Assignee changed from paul leroy to Veronique bouzid
Il faut un timecode valide, donc deux timecodes consécutifs (par exemple 5 puis 6) pour que le hardware (IP VHDL SpaceWire Gaisler) génére un
tickout et qu'une requéte d'interruption réveille le software pour qu'il étudie la cohérence du timecode avec TC_LDE_UPDATE_TIME. Ca répond
peut-étre a ta question?

#5 - 28/04/2017 11:42 AM - Veronique bouzid

- Assignee changed from Veronique bouzid to paul leroy

Entendu.
Si j ai bien compris, je maquette le scenario suivant

1- Je boote LFR
--> MISSING

2- J envoie une UPDATE_TIME avec un timecode valide = 1

--> pas d erreur

3- J envoie une UPDATE_TIME avec un timecode valide = 2

--> pas d erreur

4- J'envoie une UPDATE_TIME avec un timecode valide = 4

--> je dois voir une erreur qui sera ( dans mon cas MISSING doit s incrementer ou autre )

Est ce que j ai bien compris?

#6 - 28/04/2017 01:23 PM - paul leroy

Il faut bien distinguer:
e timecode valide pour le VHDL SpaceWire, a savoir un timecode qui vaut le timecode précédent augmenté de 1
¢ timecode valide au sens du logiciel de vol, qui compare la valeur du timecode SpaceWire et la valeur de TC_LFR_UPDATE_TIME dans la

routine d'interruption timecode_irq_handler, qui n'est exécutée que si deux timecodes SpaceWire valides ont été regus par le VHDL

Le lien entre le hardware (VHDL) et le software se fait par la routine d'interruption, laquelle ne se déclenche qu'aprés la réception de deux timecodes
valides

Si je comprends bien ton scénario, si tu envoies 4 comme timecode aprés avoir envoyé 2, la routine ne sera pas déclenchée.

#7 - 28/04/2017 01:24 PM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid
